commit: 1e75c4123caa356c1889c94a94cef2d06d00dc1c
Author: Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 13:33:02 2015 +0000
Commit: Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 13:33:02 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e75c412
kernel-2.eclass: Fixes for comparison code. Thanks to mgorny for review and
suggestion.
eclass/kernel-2.eclass | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 5a9ea9f..1a508f1 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1079,7 +1079,8 @@ unipatch() {
# https://bugs.gentoo.org/show_bug.cgi?id=507656
#
####################################################################
if [[ ${PN} == "git-sources" ]] ; then
- if [[ ${KV_MAJOR}.${KV_PATCH} > 3.15 &&
${RELEASETYPE} == -rc ]] ; then
+ if [[ ${KV_MAJOR} -gt 3 || ( ${KV_MAJOR} -eq 3
&& ${KV_PATCH} -gt 15 ) &&
+ ${RELEASETYPE} == -rc ]] ; then
ebegin "Applying ${i/*\//} (-p1)"
if [ $(patch -p1
--no-backup-if-mismatch -f < ${i} >> ${STDERR_T}) "$?" -le 2 ]; then
eend 0